Skip to main content
`Ctrl`+`K`

# PetscDrawLGSetOptionsPrefix

Sets the prefix used for searching for all `PetscDrawLG` options in the database.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawLGSetOptionsPrefix(PetscDrawLG lg, const char prefix[])

Logically Collective

## Input Parameters

- lg - the line graph context

- prefix - the prefix to prepend to all option names

## See Also

`PetscDrawLG`, `PetscDrawLGSetFromOptions()`, `PetscDrawLGCreate()`

## Level

advanced

## Location

src/sys/classes/draw/utils/lgc.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages